> ## Documentation Index
> Fetch the complete documentation index at: https://pingback.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Atualizar Contato

> Atualiza atributos do contato pelo email.



## OpenAPI

````yaml PUT /contacts/{email}
openapi: 3.1.0
info:
  title: Pingback Connect API
  description: Public API v2 for managing contacts in Pingback Connect.
  version: 2.0.0
  license:
    name: MIT
servers:
  - url: https://connect.pingback.com/v2
security:
  - apiKeyAuth: []
tags:
  - name: Contacts
    description: >-
      Operations related to contact management, including creation, retrieval,
      update, deletion, and listing of contacts.
  - name: Deals
    description: >-
      Operations related to deals, including creation, update, retrieval,
      deletion, and listing of deals.
  - name: Segments
    description: >-
      Operations related to segmentation lists, including listing segments and
      associating or removing contacts from segments.
  - name: Notes
    description: Operations related to notes, including creation and listing notes.
  - name: Email Verification
    description: >-
      Operations related to email verification, including validating email
      addresses and returning verification results.
paths:
  /contacts/{email}:
    put:
      tags:
        - Contacts
      summary: Update contact
      description: Update contact attributes by email.
      parameters:
        - $ref: '#/components/parameters/DeveloperMode'
        - $ref: '#/components/parameters/ApiKey'
        - $ref: '#/components/parameters/EmailPath'
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ContactUpdate'
            examples:
              update:
                value:
                  phone: '+5531999999999'
                  position: developer
      responses:
        '200':
          description: Contact updated
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ContactBasicResponse'
              examples:
                success:
                  value:
                    message: Contact updated
                    data:
                      id: ea8a2a47-2a05-4a43-b284-35df0ea46333
                      email: example@email.com
        '403':
          $ref: '#/components/responses/Forbidden'
        '404':
          description: Contact not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
              examples:
                contact_not_found:
                  summary: Contact not found
                  value:
                    error: Contact not found
                    requestId: 6795d530-07c4-43b6-8b85-dfc2cfceceb5
                    errorCode: CONTACT_NOT_FOUND
        '422':
          description: Invalid JSON body
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
              examples:
                invalid_input:
                  summary: Invalid JSON body
                  value:
                    error: Invalid JSON body
                    requestId: 6795d530-07c4-43b6-8b85-dfc2cfceceb5
                    errorCode: INVALID_INPUT
        '500':
          $ref: '#/components/responses/InternalServerError'
components:
  parameters:
    DeveloperMode:
      name: x-developer-mode
      in: header
      required: false
      schema:
        type: boolean
    ApiKey:
      name: x-api-key
      in: header
      required: true
      schema:
        type: string
    EmailPath:
      name: email
      in: path
      required: true
      schema:
        type: string
        format: email
  schemas:
    ContactUpdate:
      type: object
      properties:
        name:
          type: string
          nullable: null
    ContactBasicResponse:
      type: object
      properties:
        id:
          type: string
          format: uuid
        email:
          type: string
          format: email
    Error:
      type: object
      required: []
      properties:
        error:
          type: string
          description: Error description
        requestId:
          type: string
          description: Request ID
        errorCode:
          type: string
          description: Error code
  responses:
    Forbidden:
      description: Invalid or missing API key
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
          examples:
            forbidden:
              summary: Access denied
              value:
                error: >-
                  User is not authorized to access this resource with an
                  explicit deny in an identity-based policy.
                requestId: 6795d530-07c4-43b6-8b85-dfc2cfceceb5
                errorCode: FORBIDDEN
    InternalServerError:
      description: Unexpected server error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
          examples:
            internal_error:
              summary: Internal server error
              value:
                error: An unexpected error occurred.
                requestId: 6795d530-07c4-43b6-8b85-dfc2cfceceb5
                errorCode: INTERNAL_SERVER_ERROR
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````